> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Criteria

## "Criteria"

This provider name is implemented by the class <see cref="T:SuperOffice.CRM.ArchiveLists.CriteriaProvider">SuperOffice.CRM.ArchiveLists.CriteriaProvider</see> inside NetServer's SODatabase assembly.

## Supported Entities

| Name       | Description |
| ---------- | ----------- |
| "criteria" | criteria    |

## Supported Columns

| Name      | Restriction | Description                                                  | OrderBy |
| --------- | ----------- | ------------------------------------------------------------ | ------- |
| key       | *None*      | Key: Unique key, based on criterion name and any subcriteria | x       |
| active    | *None*      | Enabled: Specifies whether the criterion is enabled          | x       |
| icon      | *None*      | Icon: Criterion icon, based on icon of current column        | x       |
| criterion | *None*      | Name: The name of the search criterion                       | x       |
| operator  | *None*      | Operator: The operator used by this search criterion         | x       |
| value     | *None*      | Value: The value used by the search criterion.               | x       |

## Sample

```http! theme={null}
GET /api/v1/archive/Criteria?$select=icon,criterion
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv

```

See also: <see cref="T:SuperOffice.CRM.Services.IArchiveAgent">IArchiveAgent</see>.


## Related topics

- [Working with search criteria](/en/search-options/learn/search-criteria.md)
- [NSCriteriaInformation](/en/automation/crmscript/reference/CRMScript.NetServer.NSCriteriaInformation.md)
- [Get Criteria Information](/en/api/reference/restful/agent/find_agent/get-criteria-information.md)
- [Set Dynamic Selection Criteria](/en/api/reference/restful/agent/selection_agent/set-dynamic-selection-criteria.md)
- [SearchCriteria table](/en/database/tables/searchcriteria.md)
- [Get Criteria Information With Context](/en/api/reference/restful/agent/find_agent/get-criteria-information-with-context.md)
